/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.target.internal.ide.ui;

import org.eclipse.target.Site;
import org.eclipse.target.internal.ide.IdeWorkspaceSite;
import org.eclipse.target.ui.SiteCreationWizard;
import org.eclipse.target.ui.SiteCreationWizardPage;

/**
 * Wizard to create a site for the IDE workspace
 */
public class IdeWorkspaceSiteCreationWizard extends SiteCreationWizard {

	/* (non-Javadoc)
	 * @see org.eclipse.target.ui.SiteCreationWizard#createSitePage()
	 */
	protected SiteCreationWizardPage createSitePage() {
		// No page is not needed
		return null;
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.target.ui.SiteCreationWizard#getSingletonSite()
	 */
	protected Site getSingletonSite() {
		return IdeWorkspaceSite.getInstance();
	}

}
